"use strict";
Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: "Module" } });
const Vue = require("vue");
function useMenu(instance, currentIndex) {
  const indexPath = Vue.computed(() => {
    let parent = instance.parent;
    const path = [currentIndex.value];
    while (parent.type.name !== "ElMenu") {
      if (parent.props.index) path.unshift(parent.props.index);
      parent = parent.parent;
    }
    return path;
  });
  return {
    parentMenu: Vue.computed(() => {
      let parent = instance.parent;
      while (parent && !["ElMenu", "ElSubMenu"].includes(parent.type.name)) parent = parent.parent;
      return parent;
    }),
    indexPath
  };
}
exports.default = useMenu;
